import request from '@/utils/request'

// 查询民用工程列表
export function listEngineeringCivil(query) {
  return request({
    url: '/zdsz/engineeringCivil/list',
    method: 'get',
    params: query
  })
}

// 查询民用工程详细
export function getEngineeringCivil(id) {
  return request({
    url: '/zdsz/engineeringCivil/' + id,
    method: 'get'
  })
}

// 新增民用工程
export function addEngineeringCivil(data) {
  return request({
    url: '/zdsz/engineeringCivil',
    method: 'post',
    data: data
  })
}

// 修改民用工程
export function updateEngineeringCivil(data) {
  return request({
    url: '/zdsz/engineeringCivil',
    method: 'put',
    data: data
  })
}

// 删除民用工程
export function delEngineeringCivil(id) {
  return request({
    url: '/zdsz/engineeringCivil/' + id,
    method: 'delete'
  })
}
